iban.pizza
API reference

Validate an IBAN and describe its bank.

GET
/v2/iban/{iban}

Path Parameters

iban*string
Lengthlength <= 64

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/iban/DE89370400440532013000"
{  "valid": true,  "iban": {    "input": "string",    "formatted": "string",    "countryCode": "string",    "checkDigits": "string",    "bankCode": "string",    "branchCode": "string",    "accountNumber": "string"  },  "checks": {    "property1": {      "ok": true,      "message": "string",      "method": "string"    },    "property2": {      "ok": true,      "message": "string",      "method": "string"    }  },  "bank": {    "country": "string",    "bankCode": "string",    "name": "string",    "shortName": "string",    "zip": "string",    "city": "string",    "bic": "string",    "source": "string",    "logo": {      "kind": "monogram",      "brand": "string",      "url": "string"    }  },  "schemes": {    "level": "institution",    "schemes": {      "property1": {        "status": "participant",        "readinessDate": "string",        "leavingDate": "string",        "role": "string"      },      "property2": {        "status": "participant",        "readinessDate": "string",        "leavingDate": "string",        "role": "string"      }    },    "source": "string",    "asOf": "2019-08-24",    "note": "string"  },  "dataAsOf": {    "property1": "2019-08-24",    "property2": "2019-08-24"  }}